Skip to main content

Update an employee payroll

PATCH 

/api/employee-payrolls/{id}

Required permissions:

  • payroll.employees: allows updating employee payrolls.

Request

Path Parameters

    id integerrequired

    Possible values: Value must match regular expression [0-9]+

    The ID of the employee payroll to update

Header Parameters

    Wethod-Company stringrequired

    The company you want to interact with

    Wethod-Version stringrequired

    The API version you want to use

Body

    employee_id integernullable

    The ID of the employee

    business_unit_id integernullable

    The ID of the business unit

    cost numbernullable

    The yearly cost of the employee payroll (excluding taxes)

    taxes integernullable

    The total taxes of the employee payroll

    from YYYY-MMnullable

    The start date of the employee payroll period

    to YYYY-MMnullable

    The end date of the employee payroll period

Responses

Returns the employee payroll updated.

Schema

    id integerrequired

    Possible values: >= 1

    The unique identifier of the resource

    created_at date-timerequired

    The date and time when the resource was created

    updated_at date-timerequired

    The date and time when the resource was last updated

    employee_id integerrequired

    The ID of the employee

    business_unit_id integernullable

    The ID of the business unit

    cost floatrequired

    The yearly cost of the employee payroll (excluding taxes)

    taxes integerrequired

    The total taxes of the employee payroll

    from YYYY-MMrequired

    The start date of the employee payroll period

    to YYYY-MMrequired

    The end date of the employee payroll period

Loading...